<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Pierogi
 */

get_header();
?>

<?php if ( have_posts() ) : ?>

	<header class="page-header">
		<?php
		the_archive_title( '<h1 class="page-title">', '</h1>' );
		the_archive_description( '<div class="archive-description">', '</div>' );
		?>
	</header>

<?php else : ?>

	<header class="page-header">
		<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'pierogi' ); ?></h1>
	</header><!-- .page-header -->

<?php endif; ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php if ( have_posts() ) : ?>

			<div class="posts">

				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					/*
					 * Include the Post-Type-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
					 */
					get_template_part( 'template-parts/content', 'loop' );

				endwhile;

				the_posts_pagination( [ 'mid_size' => 2 ] );
				?>

			</div>

			<?php
		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

		</main><!-- #main -->


	<?php
		pierogi_display_sidebar();
	?>

	</div><!-- #primary -->

<?php
get_footer();
